<?php
/**
*	Www.20script.ir
**/
define("THEMENAME", "Hades");
define("SHORTNAME", "pp");
define("THEMEVERSION", "1.6.1");
define("THEMEDEMO", false);
define("THEMEDEMOSLIDEOFFSET", 3);
define("THEMEDOMAIN", THEMENAME.'Language');
define("THEMEDEMOURL", 'http://themes.themegoods.com/hades_wp');
load_theme_textdomain( THEMEDOMAIN, get_template_directory() . '/languages' );
//Get default WP uploads folder
$wp_upload_arr = wp_upload_dir();
define("THEMEUPLOAD", $wp_upload_arr['basedir']."/".strtolower(THEMENAME)."/");
define("THEMEUPLOADURL", $wp_upload_arr['baseurl']."/".strtolower(THEMENAME)."/");

if(!is_dir(THEMEUPLOAD))
{
	mkdir(THEMEUPLOAD, 0777);
}

/**
*	Setup Translation File
**/
include (TEMPLATEPATH . "/lib/translation.lib.php");

/**
*	Setup Admin Menu
**/
include (TEMPLATEPATH . "/lib/admin.lib.php");

/**
*	Themes API call
**/
include (TEMPLATEPATH . "/lib/api.lib.php");

/**
*	Www.20script.ir post custom fields
**/
include (TEMPLATEPATH . "/fields/post.fields.php");

/**
*	Www.20script.ir page custom fields
**/
include (TEMPLATEPATH . "/fields/page.fields.php");

/**
*	Www.20script.ir thumbnail and image size
**/
include (TEMPLATEPATH . "/lib/images.lib.php");

/**
*	Setup Sidebar
**/
include (TEMPLATEPATH . "/lib/sidebar.lib.php");

/**
*	Get custom function
**/
include (TEMPLATEPATH . "/lib/custom.lib.php");

/**
*	Get custom shortcode
**/
include (TEMPLATEPATH . "/lib/shortcode.lib.php");

/**
*	Get custom widgets
**/
include (TEMPLATEPATH . "/lib/widgets.lib.php");

/**
*	Setup Menu
**/
include (TEMPLATEPATH . "/lib/menu.lib.php");

/**
*	Setup Admin Action
**/
include (TEMPLATEPATH . "/lib/admin-action.lib.php");


/**
*	Setup all theme's plugins
**/
include (TEMPLATEPATH . "/plugins/shortcode_generator.php");
include (TEMPLATEPATH . "/plugins/wp-postratings/wp-postratings.php");


/**
* 	Setup Gallery Plugin
**/
include (TEMPLATEPATH . "/plugins/shiba-media-library/shiba-media-library.php");


/**
*	Setup Admin Default Value and Formatter
**/
include (TEMPLATEPATH . "/lib/admin-default.lib.php");
?>